Index: branches/2.2/mobile/templates/default/search_bar.tpl
===================================================================
--- branches/2.2/mobile/templates/default/search_bar.tpl	(revision 3641)
+++ branches/2.2/mobile/templates/default/search_bar.tpl	(revision 3641)
@@ -0,0 +1,6 @@
+<!-- BEGIN search_bar -->
+	<div id="busca">
+		<div style="float:left; width:76%; margin-right:23px"><input type="text" style="width:100%" name="name" ></div>
+    	<div style="float:left;" ><button name="search_message" class="btn-busca" onClick="document.getElementById('formu_busca').submit();" >buscar </button></div>
+	</div>
+<!-- END search_bar -->
Index: branches/2.2/mobile/templates/default/cc_main.tpl
===================================================================
--- branches/2.2/mobile/templates/default/cc_main.tpl	(revision 3634)
+++ branches/2.2/mobile/templates/default/cc_main.tpl	(revision 3641)
@@ -12,12 +12,11 @@
 		</div>
 		
-		<div class="busca"> <form id="formu_busca" action="index.php" method="post">
+		<form id="formu_busca" action="index.php" method="post">
 		<input type="hidden" name="menuaction" value="mobile.ui_home.search">
 		<input type="hidden" name="catalog_to_search" value="{actual_catalog}">
 		<input type="hidden" name="contacts_request_from" value="{contacts_request_from}">
-		<input type="text" name="name"> 
-		<button name="buscar_contato" class="btn-generico" onClick="document.getElementById('formu_busca').submit()">{lang_search}</button>
+		{search}
 		</form>
-		</div>
+		
 
 		<dl id="lista_miolo">
Index: branches/2.2/mobile/templates/default/calendar.tpl
===================================================================
--- branches/2.2/mobile/templates/default/calendar.tpl	(revision 3599)
+++ branches/2.2/mobile/templates/default/calendar.tpl	(revision 3641)
@@ -11,8 +11,5 @@
 <form method="post" action="index.php?menuaction=mobile.ui_home.search" id="form_search">
 	<input type="hidden" name="calendar_search" value="1">
-	<div class="busca"> 
-		<input type="text" name="name" id="name"> 
-		<button name="buscar_compromisso" class="btn-generico" onclick="document.getElementById('form_search').submit()">{lang_search}</button>
-	</div>
+	{search}
 </form>
 
Index: branches/2.2/mobile/templates/default/mobilemail.tpl
===================================================================
--- branches/2.2/mobile/templates/default/mobilemail.tpl	(revision 3589)
+++ branches/2.2/mobile/templates/default/mobilemail.tpl	(revision 3641)
@@ -4,9 +4,9 @@
 		</div>
 			
-		<div class="busca"><form action="index.php" method="post" id="formu_busca"> 
+		<form action="index.php" method="post" id="formu_busca"> 
 		<input type="hidden" name="menuaction" value="mobile.ui_home.search">
 		<input type="hidden" name="folder_to_search" value="{folder_id}">
-		<input type="text" name="name"> 
-		<button name="search_message" class="btn-generico" onClick="document.getElementById('formu_busca').submit();">{lang_search_message}</button></form></div>
+		{search}
+		</form>
 	
 		
Index: branches/2.2/mobile/templates/default/home_search.tpl
===================================================================
--- branches/2.2/mobile/templates/default/home_search.tpl	(revision 3596)
+++ branches/2.2/mobile/templates/default/home_search.tpl	(revision 3641)
@@ -4,5 +4,4 @@
 		</div>
 			
-		<div class="busca"> 
 			<form method="post" action="index.php">
 				<input type="hidden" name="menuaction" value="mobile.ui_home.search">
@@ -15,8 +14,7 @@
 				
 				<input type="hidden" name="contacts_request_from" value="{contacts_request_from}">
-				<input type="hidden" name="name" value="{search_param}">
-			<input type="text" name="name"> <input type="submit" class="btn-generico" value="{lang_search}" ></form>
-		</div>
-				
+			
+		{search}
+				</form>
 		
 		<dl id="lista_miolo">
Index: branches/2.2/mobile/templates/default/home_index.tpl
===================================================================
--- branches/2.2/mobile/templates/default/home_index.tpl	(revision 3600)
+++ branches/2.2/mobile/templates/default/home_index.tpl	(revision 3641)
@@ -1,8 +1,6 @@
 <!-- BEGIN page -->
 <form method="post" action="index.php?menuaction=mobile.ui_home.search" id="form_search">
-	<div class="busca"> 
-		<input type="text" name="name" id="name" />
-		<button id="buscar" class="btn-generico" onclick="document.getElementById('form_search').submit()">{lang_search}</button>
-	</div>
+	{search}
+	
 	
 	<div class="menu-contexto">
@@ -14,11 +12,11 @@
 	
 	<dl id="lista_miolo">
-		<dt><input type="checkbox" name="default_folders" value='1'></input>{lang_my_mail} | <span class="rotulo-complementar">Usados {quota_percent}% [{quota_used}/{quota_limit}]</span></dt>
+		<dt><input type="checkbox" name="default_folders" value='1'/> {lang_my_mail} | <span class="rotulo-complementar">Usados {quota_percent}% [{quota_used}/{quota_limit}]</span></dt>
 			{default_folders_box}
-    <dt><input type="checkbox" name="personal_folders" value='1'><a href="index.php?menuaction=mobile.ui_home.index&expand_folders={expand_folders}">{lang_my_folders}</a></dt>
+    <dt><input type="checkbox" name="personal_folders" value='1'><a href="index.php?menuaction=mobile.ui_home.index&expand_folders={expand_folders}"> {lang_my_folders}</a></dt>
       {personal_folders_box}			
-		<dt><input type="checkbox" name="calendar_search" value='1'><a href="index.php?menuaction=mobile.ui_mobilecalendar.index">{lang_my_commitments}</a></dt>
+		<dt><input type="checkbox" name="calendar_search" value='1'><a href="index.php?menuaction=mobile.ui_mobilecalendar.index"> {lang_my_commitments}</a></dt>
 			{commitments_box} 
-    <dt><input type="checkbox" name="contacts_search" value='1'>{lang_my_contacts}</dt>			
+    <dt><input type="checkbox" name="contacts_search" value='1'> {lang_my_contacts}</dt>			
 	</dl>
 </form>
